import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.regex.Pattern;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        String text = hamletText;
        String str = "Hamlet";

        String actual = hamletParser.changeToLeon(str);
        Assert.assertTrue(actual.contains("Leon"));

    }
    @Test
    public void testChangeHoratioToTariq() {
        String text = hamletText;
        String str = "Horatio";
        String actual = hamletParser.changeToTariq(str);
        Assert.assertTrue(actual.contains("Tariq"));
    }

    @Test
    public void testFindHoratio() {
        String text = hamletText;

        String expected = "Horatio";
        String actual = HamletParser.findHoratio(text, expected);

        Assert.assertEquals(expected,actual);
    }
    @Test
    public void testFindHamlet() {
        String text = hamletText;

        String expected = "Hamlet";
        String actual = HamletParser.findHamlet(text, expected);

        Assert.assertEquals(expected,actual);
    }
}